Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update maven #923

Merged
merged 1 commit into from Aug 25, 2019

Conversation

@mindhaq
Copy link
Contributor

commented Jul 25, 2019

When configuring a maven project as described, the following warning will appear during build:

 +-------------------------------------------------------------------------------+
 | WARNING:                                                                      |
 | The junit-platform-surefire-provider has been deprecated and is scheduled to  |
 | be removed in JUnit Platform 1.4. Please use the built-in support in Maven    |
 | Surefire >= 2.22.0 instead.                                                   |
 | » https://junit.org/junit5/docs/current/user-guide/#running-tests-build-maven |
 +-------------------------------------------------------------------------------+

It's not required to add junit-platform-surefire-provider anymore.

Also, a new version was released.

Update maven setup in README
It's not required to add junit-platform-surefire-provider anymore.

@sksamuel sksamuel merged commit d8b0604 into kotlintest:master Aug 25, 2019

2 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
@sksamuel

This comment has been minimized.

Copy link
Member

commented Aug 25, 2019

Thanks, merged!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.